#!/bin/bash
#
# Resolve the location of this script.
# This includes resolving any symlinks.
PRG=$0
while [ -h "$PRG" ]; do
    ls=`ls -ld "$PRG"`
    link=`expr "$ls" : '^.* -> \(.*\)$' 2>/dev/null`
    if expr "$link" : '^/' 2> /dev/null >/dev/null; then
        PRG="$link"
    else
        PRG="`dirname "$PRG"`/$link"
    fi
done

SMARTSYNC_APP=`dirname "$PRG"`

# absolutize dir
oldpwd=`pwd`
cd "${SMARTSYNC_APP}"; SMARTSYNC_APP=`pwd`
cd "${oldpwd}"

"$SMARTSYNC_APP/Contents/MacOS/JavaApplicationStub" "--pwd:$oldpwd" "$@" >/dev/null
